package com.sa.ibiz.demo.demo.service;

import com.sa.ibiz.demo.demo.domain.DataSyncIn2;
import com.sa.ibiz.demo.demo.service.dto.DataSyncIn2SearchFilter;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import java.util.Map;

/**
 * 实体[DataSyncIn2] 服务对象接口
 */
public interface DataSyncIn2Service extends IService<DataSyncIn2>{

		DataSyncIn2 get(DataSyncIn2 et);
	boolean remove(DataSyncIn2 et);
	boolean checkKey(DataSyncIn2 et);
	boolean update(DataSyncIn2 et);
	boolean create(DataSyncIn2 et);
	boolean getDraft(DataSyncIn2 et);
    List<DataSyncIn2> listDefault(DataSyncIn2SearchFilter filter) ;
	Page<DataSyncIn2> searchDefault(DataSyncIn2SearchFilter filter);
	/**	 实体[DataSyncIn2] 自定义数据查询  	**/
	List<Map<String,Object>> selectRow(String sql);
 }